DRM_VMA_NODE_RESET(9)

NAME
drm_vma_node_reset - Initialize or reset node object

SYNOPSIS

void drm_vma_node_reset(struct drm_vma_offset_node * node);

ARGUMENTS

node
    Node to initialize or reset

DESCRIPTION

Reset a node to its initial state. This must be called before using it with any VMA offset manager.

This must not be called on an already allocated node, or you will leak memory.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT